package ru.dbotthepony.kommons.math

/**
 * Linear interpolation between [a] and [b] by [t]
 */
fun linearInterpolation(t: Float, a: Float, b: Float): Float {
	if (t <= 0f)
		return a
	else if (t >= 1f)
		return b

	return a + (b - a) * t
}

/**
 * Linear interpolation between [a] and [b] by [t]
 */
fun linearInterpolation(t: Double, a: Double, b: Double): Double {
	if (t <= 0.0)
		return a
	else if (t >= 1.0)
		return b

	return a + (b - a) * t
}
